View Issue Details

IDProjectCategoryView StatusLast Update
07746Bug reportsOtherpublic2013-09-19 13:41
Reportermdekker Assigned Tosammousa  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05 RC 
Fixed in Version2.05 RC 
Summary07746: Login screen is ugly in IE9
Description

See screenshot: username/password fields are too high compared to the select boxes.

This is the same for gringegreen and blobblueish, also tried in firefox and chrome an they look better.

TagsNo tags attached.
Complete LimeSurvey version number (& build)130409
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserIE 9
Database & DB-Version.
Server OS (if known).
Webserver software & version (if known).
PHP Version.

Activities

mdekker

mdekker

2013-04-09 08:58

reporter  

login_blobblue.jpg (28,228 bytes)   
login_blobblue.jpg (28,228 bytes)   
DenisChenu

DenisChenu

2013-04-11 18:51

developer   ~24945

Solution : don't use IE ;).

It's bootstrap ....

in adminstyle, line 102, you have some padding (2px) removing it and bootstrap apply: did it better ?

tpartner

tpartner

2013-04-24 17:19

developer   ~25118

So, why are we using bootstrap?

In my version of IE9, the window is forced into compatibility mode as are most sites using bootstrap.

DenisChenu

DenisChenu

2013-04-24 17:55

developer   ~25119

Added Sam to explain why using bootstrap ;)
OK Sam

sammousa

sammousa

2013-04-24 18:47

reporter  

Untitled.png (9,102 bytes)   
Untitled.png (9,102 bytes)   
sammousa

sammousa

2013-04-24 19:38

reporter   ~25123

We use several bootstrap (YiiBooster to be exact) widgets in the administrative interface.
I chose to always include it so any markup is consistent across the whole interface.

The problem seems to be a lot of overrides done in either the global adminstyle.css or the template adminstyle.css.
In my opinion we should clean up the adminstyle.css files, and after that selectively apply needed css fixes for IE or other browsers.
These fixes should be properly commented so we can quickly decide if they are related to issues we are facing; also please do not copy whole blocks of css attributes; only the attributes we are changing should be in our own css files.

DenisChenu

DenisChenu

2013-04-26 17:14

developer   ~25145

Last edited: 2013-04-26 17:15

View 2 revisions

sammousa: the question is:
Why included bootstrap ?

I already say we don't have to include bootstrap, because we already have jquery-ui.

selectjs don't need bootstrap, only need jquery.

Denis
PS: and look at the complete sentence from tony : In my version of IE9, the window is forced into compatibility mode as are most sites using bootstrap.
PS2: bootstrap have some really good idea, but break a lot of website.

sammousa

sammousa

2013-05-28 09:01

reporter   ~25398

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12486

sammousa

sammousa

2013-05-28 09:11

reporter   ~25399

Replaced normal selectbox with Select2 widget.

DenisChenu

DenisChenu

2013-05-29 10:20

developer   ~25405

sammousa : seems langage selector have some problem with utf8 caracters.
I upload a file

DenisChenu

DenisChenu

2013-05-29 10:21

developer  

sammousa

sammousa

2013-05-29 10:29

reporter   ~25406

I think this is you...
http://snag.gy/jnzUW.jpg

Tried both in IE and Chrome.

tpartner

tpartner

2013-05-29 11:49

developer   ~25407

I am seeing the same thing as Denis in FF, IE9 and Chrome.

sammousa

sammousa

2013-05-29 11:55

reporter   ~25408

Could you confirm that the following line is correct in your local version?

https://github.com/LimeSurvey/LimeSurvey/blob/2.05/application/views/admin/authentication/login.php#L47

To me it seems weird that those html escaped things are even in your page source..

tpartner

tpartner

2013-05-29 12:29

developer   ~25409

Yup, that line is correct and I just pulled the project.

tpartner

tpartner

2013-05-29 12:34

developer   ~25410

Snapshot of the source - http://snag.gy/rln1T.jpg

sammousa

sammousa

2013-05-29 12:44

reporter   ~25411

Think i found it in html_entity_decode documentation:

Encoding to use. If omitted, the default value for this argument is ISO-8859-1 in versions of PHP prior to 5.4.0, and UTF-8 from PHP 5.4.0 onwards.

http://php.net/manual/en/function.html-entity-decode.php

tpartner could you check if supplying the utf8 parameter explicitly solves it for you? -- i only have php5.4.

tpartner

tpartner

2013-05-29 13:12

developer   ~25413

This does indeed fix it - http://pastebin.com/VBjrBMwL

sammousa

sammousa

2013-05-29 13:24

reporter   ~25414

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12488

Related Changesets

LimeSurvey: 2.05 0e18312a

2013-05-28 07:00:36

sammousa

Details Diff
Fixed issue 07746: Login screen is ugly in IE9 Affected Issues
07746
mod - application/views/admin/authentication/login.php Diff File
mod - styles/adminstyle.css Diff File

LimeSurvey: 2.05 30908d26

2013-05-29 11:22:54

sammousa

Details Diff
Fixed issue 07746: Now also working for php < 5.4 Affected Issues
07746, 07887
mod - application/views/admin/authentication/login.php Diff File

Issue History

Date Modified Username Field Change
2013-04-09 08:58 mdekker New Issue
2013-04-09 08:58 mdekker File Added: login_blobblue.jpg
2013-04-11 18:51 DenisChenu Note Added: 24945
2013-04-24 17:19 tpartner Note Added: 25118
2013-04-24 17:55 DenisChenu Note Added: 25119
2013-04-24 18:47 sammousa File Added: Untitled.png
2013-04-24 19:38 sammousa Note Added: 25123
2013-04-26 17:14 DenisChenu Note Added: 25145
2013-04-26 17:15 DenisChenu Note Edited: 25145 View Revisions
2013-05-28 09:01 sammousa Changeset attached => LimeSurvey 2.05 0e18312a
2013-05-28 09:01 sammousa Note Added: 25398
2013-05-28 09:01 sammousa Assigned To => sammousa
2013-05-28 09:01 sammousa Resolution open => fixed
2013-05-28 09:11 sammousa Note Added: 25399
2013-05-28 09:11 sammousa Status new => resolved
2013-05-29 10:20 DenisChenu Note Added: 25405
2013-05-29 10:21 DenisChenu File Added: Capture du 2013-05-29 10:17:23.png
2013-05-29 10:29 sammousa Note Added: 25406
2013-05-29 11:49 tpartner Note Added: 25407
2013-05-29 11:55 sammousa Note Added: 25408
2013-05-29 12:29 tpartner Note Added: 25409
2013-05-29 12:34 tpartner Note Added: 25410
2013-05-29 12:44 sammousa Note Added: 25411
2013-05-29 13:12 tpartner Note Added: 25413
2013-05-29 13:24 sammousa Changeset attached => LimeSurvey 2.05 30908d26
2013-05-29 13:24 sammousa Note Added: 25414
2013-09-19 13:40 c_schmitz Fixed in Version => 2.05 RC
2013-09-19 13:41 c_schmitz Status resolved => closed